/*
 * Class DISPENSER [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_322 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_322 [] = {0xFF01,237,321,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_322 [] = {0xFF01,321,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_322 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_322 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_322 [] = {0xFF01,321,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_322 [] = {0xFF01,321,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_322 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_322 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_322 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_322 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_322 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_322 [] = {321,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_322 [] = {0xFF01,321,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_322 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_322 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_322 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_322[] = {
	{EIF_GENERIC(NULL), 2050, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_322), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_322), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_322), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_322), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_322), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_322), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_322), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_322), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_322), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_322), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_322), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_322), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_322), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_322), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_322), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_322), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1921, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_322), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2048, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2049, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init322(void)
{
	IDSC(desc_322, 0, 321);
	IDSC(desc_322 + 1, 1, 321);
	IDSC(desc_322 + 32, 77, 321);
	IDSC(desc_322 + 41, 282, 321);
	IDSC(desc_322 + 50, 243, 321);
	IDSC(desc_322 + 56, 220, 321);
	IDSC(desc_322 + 58, 229, 321);
	IDSC(desc_322 + 59, 50, 321);
	IDSC(desc_322 + 60, 35, 321);
}


#ifdef __cplusplus
}
#endif
